## slepc4py 3.23.1

=== debian/changelog ===
slepc4py (3.23.1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release. New PETSc and SLEPc ABI 3.23.
  * Add Francesco Ballarin to uploaders.
  * Bump Standards-Version to 4.7.2.
  * Remove build/ directory after building 64-bit complex package,
    otherwise manually running test after having done dpkg-buildpackage +
    sudo debi results in the maintainer thinking that they are testing the
    default scalar type variant (i.e., 32-bit real), while actually testing the
    latest built one (i.e., 64-bit complex).

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 May 2025 18:11:21 +0200
