=== debian/changelog ===
slepc4py (3.24.0-1exp2) experimental; urgency=medium

  * debian patch doc_fix_sphinx_MR896.patch applies upstream MR#896 to
    fix doc build with sphinx 8.2. doc_build.patch: reenable autodoc.
    Closes: #1120324

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Nov 2025 21:56:20 +0100

slepc4py (3.24.0-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.24.
    - deprecates debian patch use_python3.patch
      (build docs with sphinx-build not python direct)
      Build-Depends: python3-sphinx instead of sphinx-common
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * debian/rules: use execute_after_dh_* instead of trivial override_dh_*
  * add debian patch doc_build.patch
    - drop pylit from doc build, since it is not (yet) packaged for
      debian. Hence demos are not processed with docs.
    - block use of extlink since network connections are not available
      during build
    - disable autodoc because of error
      unexpected keyword argument 'short_literals'
      See Bug#1120324 (upstream issue #98)
  * add debian patch doc_local_intersphinx.patch to use intersphinx
    with local objects.inv
    Build-Depends-Indep: python3-doc, python-numpy-doc,
    python-mpi4py-doc, python-pyopencl-doc, petsc3.24-doc,
    python-petsc4py-doc, slepc3.24-doc (all <!nodoc>)
  * add debian patch doc_local_petsc.patch enabling access to a local
    file copy of petsc's objects.inv via LOC_PETSC.
    Access slepc's local objects.inv via existing LOC variable.
  * build docs setting PETSC_DIR and SLEPC_DIR (as default dirs
    /usr/lib/petsc and /usr/lib/slepc, and PETSC_ARCH empty) and point
    PYTHONPATH at built package (slepc_real). Requires real build for
    arch-indep build.
  * force build of info docs since "sphinx_build -M texinfo" currently
    finds an error and fails to finish generating the info file
  * man page moved to section 3
  * override dh_auto_test to run build-time tests using runtests.py

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Nov 2025 22:32:08 +0100
