=== debian/control ===
--- 
+++ 
@@ -12,18 +12,26 @@
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-numpy (>= 1:1.4.1-4~),
- libslepc-real3.23-dev, libpetsc-real3.23-dev,
- libslepc-complex3.23-dev, libpetsc-complex3.23-dev,
+ python3-numpy-dev,
+ libslepc-real3.24-dev, libpetsc-real3.24-dev,
+ libslepc-complex3.24-dev, libpetsc-complex3.24-dev,
  python3-petsc4py,
- python3-petsc4py-real3.23, python3-petsc4py-complex3.23,
- libslepc64-real3.23-dev, libpetsc64-real3.23-dev,
- libslepc64-complex3.23-dev, libpetsc64-complex3.23-dev,
- python3-petsc4py-64-real3.23, python3-petsc4py-64-complex3.23,
+ python3-petsc4py-real3.24, python3-petsc4py-complex3.24,
+ libslepc64-real3.24-dev, libpetsc64-real3.24-dev,
+ libslepc64-complex3.24-dev, libpetsc64-complex3.24-dev,
+ python3-petsc4py-64-real3.24, python3-petsc4py-64-complex3.24,
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1),
- sphinx-common
-Build-Depends-Indep: python3-sphinx,
+ python3-sphinx
+Build-Depends-Indep:
+ python3-doc <!nodoc>,
+ python-numpy-doc <!nodoc>,
+ python-mpi4py-doc <!nodoc>,
+ python-pyopencl-doc <!nodoc>,
+ petsc3.24-doc <!nodoc>,
+ python-petsc4py-doc <!nodoc>,
+ slepc3.24-doc <!nodoc>,
  latexmk,
  texinfo,
  texlive-fonts-recommended,
@@ -37,7 +45,7 @@
 
 Package: python3-slepc4py
 Architecture: all
-Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.23 | python3-slepc4py-complex3.23 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.23 | python3-slepc4py-64-complex3.23,
+Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.24 | python3-slepc4py-complex3.24 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.24 | python3-slepc4py-64-complex3.24,
  python3-petsc4py,
  python3:any, ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
@@ -57,7 +65,7 @@
 
 Package: python3-slepc4py-real
 Architecture: all
-Depends: python3-slepc4py-real3.23,
+Depends: python3-slepc4py-real3.24,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -71,27 +79,27 @@
  This is a dummy package that depends on slepc4py for
  the latest version of SLEPc with real number support.
 
-Package: python3-slepc4py-real3.23
-Architecture: any
-Depends: python3-petsc4py-real3.23,
+Package: python3-slepc4py-real3.24
+Architecture: any
+Depends: python3-petsc4py-real3.24,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Conflicts: python3-slepc4py-real (<< 3.12.0-6~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for SLEPc 3.23 libraries (real numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.23 with real number support.
+Description: Python 3 bindings for SLEPc 3.24 libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.24 with real number support.
 
 Package: python3-slepc4py-complex
 Architecture: all
-Depends: python3-slepc4py-complex3.23,
+Depends: python3-slepc4py-complex3.24,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -108,30 +116,30 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the complex build.
 
-Package: python3-slepc4py-complex3.23
-Architecture: any
-Depends: python3-petsc4py-complex3.23,
+Package: python3-slepc4py-complex3.24
+Architecture: any
+Depends: python3-petsc4py-complex3.24,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~),
 Conflicts: python3-slepc4py-complex (<< 3.12.0-6~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for SLEPc 3.23 libraries (complex numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.23 with complex number support.
+Description: Python 3 bindings for SLEPc 3.24 libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.24 with complex number support.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the complex build.
 
 Package: python3-slepc4py-64-real
 Architecture: all
-Depends: python3-slepc4py-64-real3.23,
+Depends: python3-slepc4py-64-real3.24,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -149,29 +157,29 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit build.
 
-Package: python3-slepc4py-64-real3.23
-Architecture: any
-Depends: python3-petsc4py-64-real3.23,
+Package: python3-slepc4py-64-real3.24
+Architecture: any
+Depends: python3-petsc4py-64-real3.24,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit SLEPc 3.23 libraries (real numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.23 with real number support and 64-bit indexing.
+Description: Python 3 bindings for 64-bit SLEPc 3.24 libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.24 with real number support and 64-bit indexing.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit build.
 
 Package: python3-slepc4py-64-complex
 Architecture: all
-Depends: python3-slepc4py-64-complex3.23,
+Depends: python3-slepc4py-64-complex3.24,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -189,22 +197,22 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit complex build.
 
-Package: python3-slepc4py-64-complex3.23
-Architecture: any
-Depends: python3-petsc4py-64-complex3.23,
+Package: python3-slepc4py-64-complex3.24
+Architecture: any
+Depends: python3-petsc4py-64-complex3.24,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit SLEPc 3.23 libraries (complex numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.23 with complex number support and 64-bit indexing.
+Description: Python 3 bindings for 64-bit SLEPc 3.24 libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.24 with complex number support and 64-bit indexing.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit complex build.
