## slepc4py 3.24.1

=== debian/changelog ===
slepc4py (3.24.1-2) unstable; urgency=medium

  * remove separate build_real rule. It's sabotaged by the -p option to
    dh_auto_build which refuses to run the build in an arch-indep run
    (when building for docs). Instead build manually for docs if needed.

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 10:23:46 +0100

slepc4py (3.24.1-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: python3-pydata-sphinx-theme,
      python3-sphobjinv <!nodoc>
  * vendor pylit in debian/pylit.py, v0.8.0 from pypi tarball
    (suggested by Lisandro Dalcin upstream issue#98)
    Update debian patch doc_build.patch to enable use of pylit during
    doc build. Copyright Günter Milde with a GPL-3+ licence.
  * update debian patch doc_build.patch to drop use of git in doc build

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 01:08:59 +0100
