=== debian/control ===
--- 
+++ 
@@ -26,6 +26,8 @@
  python3-sphinx
 Build-Depends-Indep:
  python3-doc <!nodoc>,
+ python3-pydata-sphinx-theme <!nodoc>,
+ python3-sphobjinv <!nodoc>,
  python-numpy-doc <!nodoc>,
  python-mpi4py-doc <!nodoc>,
  python-pyopencl-doc <!nodoc>,
