## slepc4py 3.24.2

=== debian/changelog ===
slepc4py (3.24.2-2) unstable; urgency=medium

  * update debian/watch to v5 format
  * debian/tests: run lscpu in demo tests on ppc64el to report which
    CPU is being used, and report liblapack[64].so alternative links
    (for debugging openblas failure, Bugs #1126688, #1126625)
    debian/tests/control Depends: dpkg-dev, util-linux [ppc64el]

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Feb 2026 10:21:37 +0100

slepc4py (3.24.2-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch doc_fix_sphinx_MR896.patch
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jan 2026 23:32:07 +0100
