=== debian/tests/control ===
Tests: run-tests run-demos
 run-tests-64 run-demos-64
Depends: @, @builddeps@,
 gzip,
 pkg-config,
 python3-all,
 dpkg-dev [ppc64el],
 util-linux [ppc64el]
Restrictions: allow-stderr
