=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/s/slepc4py/
Matching-Pattern: slepc4py-@ANY_VERSION@@ARCHIVE_EXT@
